#define         git 20201023
%define         rel 7

Name:           wordgrinder
Version:        0.8
Release:        %mkrel %{?git:-c git%{git}} %{rel}
Summary:        A word processor which gets out of your way
Group:          Editors
License:        MIT and BSD and OFL
URL:            https://cowlark.com/wordgrinder
Source0:        https://github.com/davidgiven/wordgrinder/archive/%{?git:master}%{?!git:%{version}}/%{name}-%{version}.tar.gz
Patch0:         makefile.patch
Patch1:         wordgrinder-sys-bitop.patch
Patch2:         https://github.com/davidgiven/wordgrinder/pull/237.patch
BuildRequires:  ninja
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(lua-5.1)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  freetype-devel
BuildRequires:  uthash-devel
BuildRequires:  lua5.1-lpeg
BuildRequires:  lua5.1-bitop

Requires:       lua5.1-lpeg
Requires:       lua5.1-bitop

Conflicts:      %{name} < 0.7.2-2

%description
WordGrinder is a simple, Unicode-aware word processor that runs on the
console. It's designed to get the hell out of your way and let you write;
it does very little, but what it does it does well.

It supports basic paragraph styles, basic character styles, basic screen
markup, a menu interface that means you don't have to remember complex
key sequences, HTML import and export, and some other useful features.

WordGrinder does not require X. It runs in a terminal. (But there's a
version which uses X if you want it.)

%package gui
Summary:        A X11 word processor which gets out of your way
Group:          Editors
Conflicts:      %{name} < 0.7.2-2

%description gui
WordGrinder does not require X. It runs in a terminal. (But there's a
version which uses X if you want it.)

This is the X11 version of %{name}

%prep
%autosetup -p1 %{?git:-n %{name}-master}

#use system libs
rm -rf src/c/emu/lua*
rm -rf src/c/emu/lpeg/
rm -rf src/c/emu/minizip
rm -rf src/c/emu/uthash

%build
export WANT_STRIPPED_BINARIES=no
%set_build_flags
%make_build all \
           PREFIX="%{_prefix}" \
           DESTDIR="%{buildroot}" \
           OBJDIR="%{_vpath_builddir}" \
           LUA_INTERPRETER="%{_bindir}/lua-5.1" \
           LUA_PACKAGE="lua-5.1" \
           LPEG_PACKAGE="--cflags={} --libs={%{_libdir}/lua/5.1/lpeg.so}" \
           LUABITOP_PACKAGE="--cflags={} --libs={%{_libdir}/lua/5.1/bit.so}" \
           MINIZIP_PACKAGE="minizip" \
           UTHASH_PACKAGE="--cflags={} --libs={}"

%install
%make_install LUA_INTERPRETER="%{_bindir}/lua-5.1" OBJDIR="%{_vpath_builddir}" DESTDIR=%{buildroot} PREFIX=%{_prefix}

%files
%doc README README.wg
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*

%files gui
%{_bindir}/x%{name}
%{_mandir}/man1/x%{name}.*
%{_datadir}/applications/wordgrinder.desktop
%{_datadir}/mime-info/wordgrinder.mime
%{_datadir}/pixmaps/wordgrinder.png


%changelog
* Thu May 25 2023 kekepower <kekepower> 0.8-7.mga9
+ Revision: 1957934
- Add patch to fix filenames beginning with numbers
  o https://github.com/davidgiven/wordgrinder/pull/237

* Wed Mar 29 2023 kekepower <kekepower> 0.8-6.mga9
+ Revision: 1950591
- Add OFL to License

* Mon Aug 29 2022 wally <wally> 0.8-5.mga9
+ Revision: 1881604
- use system lua5.1-bitop

* Sun Aug 28 2022 wally <wally> 0.8-4.mga9
+ Revision: 1881536
- use system lua5.1-lpeg

* Sun Aug 28 2022 wally <wally> 0.8-3.mga9
+ Revision: 1881515
- fix build
- build against lua5.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Mar 29 2021 wally <wally> 0.8-2.mga9
+ Revision: 1711631
- build with latest lua

* Sat Oct 24 2020 kekepower <kekepower> 0.8-1.mga8
+ Revision: 1639140
- Update to version 0.8

* Mon Oct 19 2020 kekepower <kekepower> 0.7.3-0.git20201018.1.mga8
+ Revision: 1636903
- Update to version 0.7.3 git20201018

* Fri Feb 14 2020 umeabot <umeabot> 0.7.2-4.mga8
+ Revision: 1522029
- Mageia 8 Mass Rebuild

* Tue Jan 15 2019 luigiwalser <luigiwalser> 0.7.2-3.mga7
+ Revision: 1357012
- rebuild for lua5.3

* Mon Dec 03 2018 kekepower <kekepower> 0.7.2-2.mga7
+ Revision: 1337740
- Split xwordgrinder into separate package
- Include patch from Debian with man-page for xwordgrinder
- Build with all possible system libs

* Sun Dec 02 2018 kekepower <kekepower> 0.7.2-1.mga7
+ Revision: 1337582
- imported package wordgrinder

